import { BaseProject } from './classes/base-project';
/**
 * Class to save and restore temporary code
 * TODO fix removing files from repo
 */
export declare class GhTempCode {
    private cwd;
    private project;
    constructor(cwd: string, project: BaseProject);
    private GHTEMP_CODE_REPO_PATH;
    private get cwdRepo();
    private get tempPathRepo();
    init(): this;
    save(): Promise<void>;
    restore(): Promise<this>;
}
